Function
unlockAndFreeContig
Removes a previous contig lock and clears sequence no further lock exist.
unlockAndFreeContig(store, contigId)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
contigId | Id of the contig which was created earlier by loadContigs.

Remarks
This function decreases contig usage counter by 1 and clears contig sequence if counter is 0.
Return Values
A bool which is true on success.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49